summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatt Wilson <msw@redhat.com>2000-06-02 05:28:39 +0000
committerMatt Wilson <msw@redhat.com>2000-06-02 05:28:39 +0000
commit74e9baa8255eed87c4b9f4e7a624083726a9e8bb (patch)
tree5c1793e343496e50af4ff595d2e7b202707f9030 /scripts
parent1d97d19253a6120733f63289558c2209d468561a (diff)
typo
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/buildinstall2
-rwxr-xr-xscripts/mk-images25
-rw-r--r--scripts/mk-images.alpha2
-rwxr-xr-xscripts/upd-instroot2
4 files changed, 20 insertions, 11 deletions
diff --git a/scripts/buildinstall b/scripts/buildinstall
index 0d198069c..69f8f5603 100755
--- a/scripts/buildinstall
+++ b/scripts/buildinstall
@@ -39,7 +39,7 @@ MK_IMAGES=$BUILDINSTDIR/mk-images
$UPD_INSTROOT $p/RedHat/RPMS $p/image-template $p/RedHat/instimage $BUILDARCH
if [ -x /usr/bin/runroot ]; then
- runroot dist-7.0 --arch $BUILDARCH cd $BUILDINSTDIR\; $MK_IMAGES $p/RedHat/RPMS $p $p/image-template $BUILDARCH
+ runroot dist-7.0 --arch $BUILDARCH "cd $BUILDINSTDIR\; $MK_IMAGES $p/RedHat/RPMS $p $p/image-template $BUILDARCH"
else
$MK_IMAGES $p/RedHat/RPMS $p $p/image-template $BUILDARCH
fi
diff --git a/scripts/mk-images b/scripts/mk-images
index a797cbb8f..d0639bd01 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -244,25 +244,34 @@ makeinitrd() {
if [ $1 = "--initrdto" ]; then
EXTRAINITRDPATH=$2
shift; shift
+ continue
elif [ $1 = "--pcmcia" ]; then
PCMCIA=yes
shift
+ continue
elif [ $1 = "--keep" ]; then
KEEP=yes
shift
+ continue
elif [ $1 = "--initrdsize" ]; then
- INITRDSIZE=$2
- shift; shift
+ INITRDSIZE=$2
+ shift; shift
+ continue
elif [ $1 = "--padsize" ]; then
- PADSIZE=$2
- shift; shift
+ PADSIZE=$2
+ shift; shift
+ continue
elif [ $1 = "--loaderbin" ]; then
- LOADERBIN=$2
- shift; shift
+ LOADERBIN=$2
+ shift; shift
+ continue
elif [ $1 = "--modules" ]; then
- LOADERMODULES=$2
- shift; shift
+ LOADERMODULES=$2
+ shift; shift
+ continue
fi
+ echo "Unknown option passed to makeinitrd"
+ exit 1
done
if [ -z "$LOADERBIN" ]; then
echo "no loader binary specified!" >&2
diff --git a/scripts/mk-images.alpha b/scripts/mk-images.alpha
index 47116a15a..18423702d 100644
--- a/scripts/mk-images.alpha
+++ b/scripts/mk-images.alpha
@@ -11,7 +11,7 @@ prepareBootImage() {
makeinitrd --initrdto $TOPDESTPATH/images/ramdisk.img \
--initrdsize 2000 \
--padsize 1440 \
- --loaderbinary loader \
+ --loaderbin loader \
--modules "3c59x de4x5 depca eepro100 ibmtr old_tulip tulip ne vfat"
makebootdisk --bootdisksize 1440 --kernelto $TOPDESTPATH/kernels/vmlinux.gz \
diff --git a/scripts/upd-instroot b/scripts/upd-instroot
index 386210eda..3912d7293 100755
--- a/scripts/upd-instroot
+++ b/scripts/upd-instroot
@@ -506,7 +506,7 @@ patch -p0 > /dev/null <<EOF
EOF
cd -
-echo -n -e "\Removing unused python files in $DEST... "
+echo -n -e "Removing unused python files in hdimage... "
if [ -x /usr/bin/runroot ]; then
REALPATH=`(cd $DEST; /bin/pwd)`
runroot dist-7.0 --arch $ARCH "cd $REALPATH\; usr/lib/anaconda-runtime/pythondeps $REALPATH" > /dev/null